Support » Plugin: WordPress Zero Spam » error after update to 4.1.1

  • Resolved zinkab

    (@zinkab)


    warning on the front end:
    error on line 117 in helpers.php
    array_column, parameter 1 expected to be array, null given
    array_search, parameter 2 expected to be array, null given

Viewing 5 replies - 1 through 5 (of 5 total)
  • Plugin Contributor Eusebiu Oprinoiu

    (@eusebiuoprinoiu)

    I noticed this on multiple websites as well.
    The fix is fairly simple, so hopefully, Ben sees this ticket and will release an update soon.

    In addition to those warnings, there is another warning that appears on the login page.

    Warning: Cannot modify header information – headers already sent by (output started at /public_html/wp-login.php:88) in /public_html/wp-content/plugins/zero-spam/inc/helpers.php on line 55

    Plugin Author Ben Marshall

    (@bmarshall511)

    Thanks for the catch. I’m unable to replicate, could have been fixed since 4.1.1. Can you guys please test again with the latest version to confirm & provide an error/notice messages you see?

    Fill free to submit bug/feature requests here: https://github.com/bmarshall511/wordpress-zero-spam/issues/180

    Plugin Contributor Eusebiu Oprinoiu

    (@eusebiuoprinoiu)

    The warnings on the frontend are gone. Only the one on the login page remains:

    Warning: Cannot modify header information – headers already sent by (output started at /public_html/wp-login.php:88) in /public_html/wp-content/plugins/zero-spam/inc/helpers.php on line 55

    This is most likely the result of a warning or an error that is being sent to the output before WordPress could generate HTTP headers.

    Later Edit: The warning appears when the cookie is not set. (either the user cleared his cookies or didn’t visit the frontend)
    I’m guessing this issue will go away when you revert to storing the key in the plugin options.

    zinkab

    (@zinkab)

    it looks fine after another update today

    Thank you

    Plugin Author Ben Marshall

    (@bmarshall511)

    Perfect, good to hear. Let me know if you run into anymore issues.

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘error after update to 4.1.1’ is closed to new replies.